For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTAddScenario
        • POSTDelScenario
        • POSTBindScenario
        • POSTGetScenarios
        • POSTSetScenarioInfo
        • POSTReorderScenarios
        • POSTStartScenarios
        • POSTStartConference
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferenceScenarios

BindScenario

||View as Markdown|
POST
https://api.voximplant.com/platform_api/BindScenario
POST
/platform_api/BindScenario
$curl -X POST "https://api.voximplant.com/platform_api/BindScenario?scenario_id=101&scenario_id=102&scenario_id=103&rule_id=45" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Success
1{
2 "result": 1
3}
Bind the scenario list to the rule. You should specify the application_id or application_name if you specify the rule_name. Please note, the scenario and the routing rule need to be within the same application. Allowed roles: `Owner`, `Admin`, `Developer`. **Example request:** Bind the scenarios 1, 2 and 3 with the rule 1.
Was this page helpful?
Previous

DelScenario

Next

GetScenarios

Built with

Bind the scenario list to the rule. You should specify the application_id or application_name if you specify the rule_name. Please note, the scenario and the routing rule need to be within the same application.

Allowed roles: Owner, Admin, Developer.

Example request: Bind the scenarios 1, 2 and 3 with the rule 1.

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

scenario_idlist of integersOptional

The scenario ID list separated by semicolons (;). Required unless scenario_name is provided.

scenario_namelist of stringsOptional

The scenario name list separated by semicolons (;). Required unless scenario_id is provided.

rule_idintegerOptional

The rule ID to bind the scenario. The rule and the scenario need to be in the same application. Required unless rule_name is provided.

rule_namestringOptional

The rule name. Required unless rule_id is provided.

application_idintegerOptional

The application ID. Required unless application_name is provided.

application_namestringOptional

The application name. Required unless application_id is provided.

bindbooleanOptionalDefaults to true

Whether to bind or unbind (set true or false respectively)

Response

Successful response
resultinteger
Returns 1 if the request has been completed successfully